Subject: Re: [PATCH core-updates-frozen] gnu: util-linux: Disable unreliable ioctl_ns test

From: Thiago Jung Bauermann <[email-masked]>
Date: Thu, 11 Nov 2021 21:29:19 -0300

Hello Brendan,

Em terça-feira, 9 de novembro de 2021, às 06:07:52 -03, Brendan Tildesley escreveu:
> I just got this test failure on x86_64 (AMD 5800X):
> 
> lsns: ownership and hierarchy                                  ... FAILED
> (lsns/ioctl_ns)
> 
> Maybe the test needs to be disabled completely.

It was, on the core-updates-frozen branch. When it is merged to master, then you won’t 
run the test anymore even on x86_64-linux.

> It only happened once thoughout of ~10 --check's. Has the issue been
> reported upstream?

I wasn’t aware that the test failed intermitently. That’s unfortunate. From a quick search 
online, I’m not seeing any report of this problem.

One thing which I did find was this recent change to the ioctl_ns test:

https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/commit/?
id=597ccb7bf564f65bb059bfe420224cab0fba46ac[1]

Apparently it doesn’t work when run inside a namespace.

> Also, the tests used all 16 threads despite it running make test -c 8,
> but it guess thats unrelated.

I agree, that would be a separate issue.

-- 
Thanks,
Thiago

--------
[1] https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/commit/?
id=597ccb7bf564f65bb059bfe420224cab0fba46ac